import { ItemType } from "./definitions/adventureland.js";
import { Attribute, GData, GItem, ItemName, SkillName } from "./definitions/adventureland-data.js";
import { ItemData } from "./definitions/adventureland-server.js";
export declare class Item implements ItemData, GItem {
    protected G: GData;
    name: ItemName;
    l?: "l" | "s" | "x";
    level?: number;
    stat_type?: Attribute;
    id: ItemName;
    skin: string;
    type: ItemType;
    a: boolean | number;
    ability?: SkillName | "burn" | "freeze" | "poke" | "posion" | "restore_mp" | "secondchance" | "sugarrush" | "weave";
    acolor?: string;
    action?: string;
    g: number;
    constructor(data: ItemData | ItemData, g: GData);
    calculateMinimumCost(): number;
    /**
     * Returns true if the item is locked, false otherwise. If the item is locked, you cannot sell or trade it.
     *
     * @memberof Item
     */
    isLocked(): boolean;
}
