export class Item {
    G;
    // ItemData (required)
    name;
    // ItemData (optional)
    l;
    level;
    stat_type;
    // GItem (required)
    id;
    skin;
    type;
    // GItem (optional)
    a = false;
    ability;
    acolor;
    action;
    g;
    constructor(data, g) {
        this.G = g;
        // Set soft properties
        // NOTE: If `data` contains different values, we will overwrite these later
        for (const gKey in g.items[data.name]) {
            this[gKey] = g.items[data.name][gKey];
        }
        // Set everything else
        for (const key in data)
            this[key] = data[key];
    }
    calculateMinimumCost() {
        const gInfo = this.G.items[this.name];
        // Base cost
        let cost = this.g;
        // Cost to upgrade using lowest level scroll
        if (gInfo.compound) {
            for (let i = 0; i < this.level; i++) {
                cost *= 3; // Three of the current level items are required
                let scrollLevel = 0;
                for (const grade of gInfo.grades) {
                    if (i + 1 < grade) {
                        const scrollInfo = this.G.items[`cscroll${scrollLevel}`];
                        cost += scrollInfo.g;
                        break;
                    }
                    scrollLevel++;
                }
            }
        }
        else if (gInfo.upgrade) {
            for (let i = 0; i < this.level; i++) {
                let scrollLevel = 0;
                for (const grade of gInfo.grades) {
                    if (i + 1 < grade) {
                        const scrollInfo = this.G.items[`scroll${scrollLevel}`];
                        cost += scrollInfo.g;
                        break;
                    }
                    scrollLevel++;
                }
            }
        }
        return cost;
    }
    /**
     * Returns true if the item is locked, false otherwise. If the item is locked, you cannot sell or trade it.
     *
     * @memberof Item
     */
    isLocked() {
        return this.l == "l";
    }
}
//# sourceMappingURL=Item.js.map