import { Socket } from "socket.io-client";
import { GData, MapName, MonsterName } from "./definitions/adventureland-data.js";
import { ServerData, WelcomeData, ActionData, ServerInfoData, EntitiesData, NewMapData } from "./definitions/adventureland-server.js";
import { Entity } from "./Entity.js";
import { Player } from "./Player.js";
export declare class Observer {
    socket: Socket;
    protected lastAllEntities: number;
    protected lastPositionUpdate: number;
    G: GData;
    entities: Map<string, Entity>;
    protected pingIndex: number;
    protected pingMap: Map<string, {
        log: boolean;
        time: number;
    }>;
    protected pingNum: number;
    pings: number[];
    players: Map<string, Player>;
    projectiles: Map<string, ActionData & {
        date: Date;
    }>;
    S: ServerInfoData;
    server: WelcomeData;
    serverData: ServerData;
    map: MapName;
    x: number;
    y: number;
    constructor(serverData: ServerData, g: GData);
    connect(reconnect?: boolean, start?: boolean): Promise<void>;
    deleteEntity(id: string, death?: boolean): boolean;
    protected parseEntities(data: EntitiesData): void;
    protected parseNewMap(data: NewMapData): void;
    protected updatePositions(): void;
    sendPing(log?: boolean): string;
    getNearestMonster(mtype?: MonsterName): {
        monster: Entity;
        distance: number;
    };
}
