import { MapName } from "./definitions/adventureland-data.js";
export declare class Tools {
    /**
     * From Adventureland's common_functions.js
     * @static
     * @param {number} a The difference between armor and armor piercing, or resistance and resistance piercing.
     * @return {*}  {number}
     * @memberof Tools
     */
    static damage_multiplier(a: number): number;
    /**
     * Returns the distance between two positions.
     * @param a Position 1
     * @param b Position 2
     */
    static distance(a: {
        x: number;
        y: number;
        map?: MapName;
    }, b: {
        x: number;
        y: number;
        map?: MapName;
    }): number;
}
