import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
import { IPosition } from "./index.js";
export declare class Warrior extends PingCompensatedCharacter {
    ctype: "warrior";
    agitate(): Promise<void>;
    charge(): Promise<void>;
    cleave(): Promise<void>;
    /**
     * Dash is a Warrior skill that lets you dash over small obstacles.
     *
     * NOTE: Dash currently (as of 2021-11-13) rounds to the nearest 10 for x and y coordinates,
     * e.g. `{x: 213, y: 216}` will become `{x: 210, y: 220}`
     *
     * @param {IPosition} to
     * @return {*}
     * @memberof Warrior
     */
    dash(to: IPosition): Promise<void>;
    hardshell(): Promise<void>;
    stomp(): Promise<void>;
    taunt(target: string): Promise<string>;
    warcry(): Promise<void>;
}
