import { ItemName, MapName } from "./adventureland-data.js";
export declare type Grid = Uint8Array;
export declare type Grids = {
    [T in MapName]?: Grid;
};
export declare type NodeData = {
    map: MapName;
    x: number;
    y: number;
};
export declare type LinkData = NodeData & (
/**
 * Used to travel through doors
 */
{
    type: "transport";
    spawn: number;
} | 
/**
 * Used to travel to the spawn point of the map
 */
{
    type: "town";
} | 
/**
 * Used when entering a crypt
 */
{
    key: ItemName;
    type: "enter";
} | 
/**
 * Used when leaving cyberland or jail
 */
{
    type: "leave";
} | 
/**
 * Normal movement
 */
{
    type: "move";
});
export declare type PathfinderOptions = {
    avoidTownWarps?: boolean;
    getWithin?: number;
    useBlink?: boolean;
    costs?: {
        enter?: number;
        town?: number;
        transport?: number;
    };
};
